package su.a71.new_soviet;

import net.fabricmc.fabric.api.datagen.v1.DataGeneratorEntrypoint;
import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator;

import su.a71.new_soviet.datagen.BlockLootTables;
import su.a71.new_soviet.datagen.BlockTagGenerator;
import su.a71.new_soviet.datagen.RecipeGenerator;
import su.a71.new_soviet.datagen.ModelGenerator;

public class DataGeneration implements DataGeneratorEntrypoint {
    @Override
    public void onInitializeDataGenerator(FabricDataGenerator fabricDataGenerator) {
        FabricDataGenerator.Pack NSEPack = fabricDataGenerator.createPack();
        NSEPack.addProvider(BlockLootTables::new);
        NSEPack.addProvider(RecipeGenerator::new);
        NSEPack.addProvider(BlockTagGenerator::new);
        NSEPack.addProvider(ModelGenerator::new);
    }
}